import { useRef, useEffect, createElement } from "react";
const Child = ({ el }) => {
    const ref = useRef();
    useEffect(() => {
        if (!ref.current) {
            return;
        }
        if (el) {
            // eslint-disable-next-line no-param-reassign
            el.style.display = "contents";
            ref.current.appendChild(el);
        }
    }, [ref, el]);
    return createElement("react-child", {
        ref,
        style: { display: "contents" },
    });
};
export default Child;
